# AmberInpcrdFile Class Reference

AmberInpcrdFile parses an AMBER inpcrd file and loads the data stored in it. More...

List of all members.

## Public Member Functions

def | __init__
| Load an inpcrd file.
def | getPositions
| Get the atomic positions.
def | getVelocities
| Get the atomic velocities.
def | getBoxVectors
| Get the periodic box vectors.

## Public Attributes

| file
| boxVectors

## Detailed Description

AmberInpcrdFile parses an AMBER inpcrd file and loads the data stored in it.

## Member Function Documentation

def __init__ | ( |  | self,
|  |  | file,
|  |  | loadVelocities = `None`,
|  |  | loadBoxVectors = `None` |
| ) |  |  |

Load an inpcrd file.

An inpcrd file contains atom positions and, optionally, velocities and periodic box dimensions.

Parameters:

  | file | (string) the name of the file to load
  | loadVelocities | (boolean=None) deprecated. Velocities are loaded automatically if present
  | loadBoxVectors | (boolean=None) deprecated. Box vectors are loaded automatically if present

def getBoxVectors | ( |  | self,
|  |  | asNumpy = `False` |
| ) |  |  |

Get the periodic box vectors.

Parameters:

  | asNumpy | (boolean=False) if true, the values are returned as a numpy array instead of a list of Vec3s

def getPositions | ( |  | self,
|  |  | asNumpy = `False` |
| ) |  |  |

Get the atomic positions.

Parameters:

  | asNumpy | (boolean=False) if true, the values are returned as a numpy array instead of a list of Vec3s

def getVelocities | ( |  | self,
|  |  | asNumpy = `False` |
| ) |  |  |

Get the atomic velocities.

Parameters:

  | asNumpy | (boolean=False) if true, the vectors are returned as numpy arrays instead of Vec3s

## Member Data Documentation

boxVectors

file

The documentation for this class was generated from the following file:

- amberinpcrdfile.py